extends Action
class_name ActionWait

@export var wait_time : float
var wait_time_left : float

func run(character: Character) -> int:
	wait_time_left += get_physics_process_delta_time()
	if wait_time_left >= wait_time:
		wait_time_left = 0
		return SUCCESS
	return RUNNING
